// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#include "dbus/network_manager_interface.h"

namespace {

const char* kDBusInterface = "org.freedesktop.NetworkManager";

}  // namespace

NetworkManagerInterface::NetworkManagerInterface(QObject* parent)
    : QDBusAbstractInterface(QString("org.freedesktop.NetworkManager"),
                             QString("/org/freedesktop/NetworkManager"),
                             kDBusInterface,
                             QDBusConnection::systemBus(),
                             parent) {

}

NetworkManagerInterface::~NetworkManagerInterface() {
}

