// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef SERVICE_BACKEND_FONT_CONFIG_UTIL_H_
#define SERVICE_BACKEND_FONT_CONFIG_UTIL_H_

#include <QStringList>

namespace netease {
namespace backend {

// Get list of font names which support |lang|.
QStringList QueryFontsByLang(const QString& lang);

}  // namespace backend
}  // namespace netease

#endif  // SERVICE_BACKEND_FONT_CONFIG_UTIL_H_

