// Copyright (c) 2015 Deepin. All rights reserved.
// Use of this source is governed by General Public License that can be found
// in the LICENSE file.

#ifndef SERVICE_RESOURCES_MANAGER_H_
#define SERVICE_RESOURCES_MANAGER_H_

#include <QObject>
#include <QVariantList>

namespace netease {

QString GetDiskSpace(const QString& path);

QString GetAdDeviceId();

QString GetOsVersion();

// Returns existing fonts.
QStringList CheckNativeSupportFonts(const QStringList& src_fonts);

// Returns a list of zh-cn fonts.
QStringList QuerySystemFonts();

}  // namespace netease

#endif  // SERVICE_RESOURCES_MANAGER_H_
