// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef UI_VIEWS_DESKTOP_LYRICS_UNLOCK_WINDOW_H_
#define UI_VIEWS_DESKTOP_LYRICS_UNLOCK_WINDOW_H_

#include <QFrame>
class QPushButton;

namespace netease {

class FlatButton;

class DesktopLyricsUnlockWindow : public QFrame {
  Q_OBJECT

 public:
  DesktopLyricsUnlockWindow(QWidget* parent = nullptr);

 signals:
  void unlocked();

 private:
  void initConnections();
  void initUI();

  FlatButton* unlock_button_;

 protected:
  void showEvent(QShowEvent*) override;

 private slots:
  void updateSkin();
};

}  // namespace netease

#endif  // UI_VIEWS_DESKTOP_LYRICS_UNLOCK_WINDOW_H_