// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef UI_VIEWS_MINI_PLAYER_CONSTS_H_
#define UI_VIEWS_MINI_PLAYER_CONSTS_H_

namespace netease {

// Minimum width of mini player window.
const int kWindowMinimumWidth = 303;

// Height of window without expanding playlist or info panel.
const int kTopPanelHeight = 48;
const int kInfoPanelHeight = 32;
const int kPlaylistHeight = 287;

const char kCollectionButtons[] = "SKIN_ROOT/btn/collection.png";

}  // namespace netease

#endif  // UI_VIEWS_MINI_PLAYER_CONSTS_H_

