// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef UI_VIEWS_MINI_PLAYER_INFO_PANEL_H_
#define UI_VIEWS_MINI_PLAYER_INFO_PANEL_H_

#include <QFrame>
class QLabel;

namespace netease {

class MiniPlayerInfoPanel : public QFrame {
  Q_OBJECT

 public:
  explicit MiniPlayerInfoPanel(QWidget* parent = nullptr);

  void updateContent(const QString& title, const QString& artist);

 private:
  void initConnections();
  void initUI();

  QLabel* title_label_;
  QLabel* artist_label_;

 private slots:
  void updateSkin();
};

}  // namespace netease

#endif  // UI_VIEWS_MINI_PLAYER_INFO_PANEL_H_
