// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef UI_VIEWS_MINI_PLAYER_LRC_H_
#define UI_VIEWS_MINI_PLAYER_LRC_H_

#include <QFrame>
class QEvent;

namespace netease {

class LrcPlainFrame;

// Displays lyric content in control panel of miniplayer.
class MiniPlayerLrc : public QFrame {
  Q_OBJECT

 public:
  explicit MiniPlayerLrc(QWidget* parent = nullptr);

 signals:
  void mouseEntered();

 protected:
  void enterEvent(QEvent* event) override;

 private:
  void initUI();

  LrcPlainFrame* lrc_label_;
};

}  // namespace netease

#endif  // UI_VIEWS_MINI_PLAYER_LRC_H_
