// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef UI_VIEWS_WIDGETS_FLAT_BUTTON_H_
#define UI_VIEWS_WIDGETS_FLAT_BUTTON_H_

#include <QPushButton>
class QEvent;

namespace netease {

class FlatButton : public QPushButton {
  Q_OBJECT

 public:
  explicit FlatButton(QWidget* parent = nullptr);

 protected:
  // Override these two event handlers to implements hover effect.
  void enterEvent(QEvent* event) override;
  void leaveEvent(QEvent* event) override;
};

}  // namespace netease

#endif  // UI_VIEWS_WIDGETS_FLAT_BUTTON_H_
