# Native
位于 `src/native` 目录. 本目录下定义的类, 里面的 `signals` 和 `slots` 都会导出到 web 前端页面.
这些类, 都工作在 BrowserProcess 的 UI 线程(主线程), 它里面的接口并不进行实质的操作, 只是调用
后端相应的接口.

## App
进程相关的接口, 比如退出, 退出后迁移下载目录, 注册为默认的音乐播放器等.

## AudioPlayer
播放控制, 以及音乐信息, 比如时长, 音量, 当前播放位置等.

## Browser
提供读取 qcdf 全局 cookie 的接口, 默认的浏览器安全策略不允许这样的操作.

## Download
管理下载任务的接口.

## MusicLibrary
管理本地音乐的接口.

## OS
读取系统信息的几个接口.

## Player
主要提供歌词显示相关的操作, 切换播放模式也是在这里定义的.

## Storage
本地文件存储的接口.

## TrayIcon
应用托盘功能接口.

## WinHelper
窗口操作相关接口, 所有的窗口操作都是由 web 页面触发的, 但是是在 WebView 里面实现的.
