# 关于

云音乐使用 qcef 作为网页渲染的组件.

## 初始化
qcef 的初始化位于 `src/main.cpp`, 里面做了这些工作:
* 注册 orpheus 作为新的 scheme name
* 注册 `encryptId()` 等加密方法
* 设置缓存目录
* 设置日志等级及日志文件
* 设置其它命令行选项

## Web View
这个类位于 `src/views/web_view.h`, 它主要用于包装 `QCefWebView` 类, 注册前端初始化脚本,
注册后端 `channel` 对象到 web 页面中. 同时, 处理窗口相关的操作, 比如移动, 全屏等.

## WebViewEventDelegate
位于 `src/views/web_view_event_delegate.h`, 它用于重载 WebView 中的回调方法, 用于响应
打开 URL 的动作.

## CustomSchemeHandler
位于 `src/service/custom_scheme_handler.h`, 实现了 qcef 中定义的 scheme handler 方法.
它用于处理自定义的 `orpheus` 协议, 主要是读取本地的资源文件.
