// Copyright (c) 2015 LiuLang. All rights reserved.
// Use of this source is governed by General Public License that can be found
// in the LICENSE file.

#ifndef SERVICE_BACKEND_CEF_AES_H_
#define SERVICE_BACKEND_CEF_AES_H_

#include <QString>

namespace netease {

// Encrypt or decrypt string with AES/ECB/PKCS5Padding.
// Result is base64-encoded.
QString AES_Encrypt(const QString& msg);
QString AES_Decrypt(const QString& cipher);

}  // namespace netease

#endif  // SERVICE_BACKEND_CEF_AES_H_
