/*
 * Copyright (C) 2017 ~ 2017 Deepin Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CEF_TESTS_FRAME_LESS_WINDOW_H
#define CEF_TESTS_FRAME_LESS_WINDOW_H

#include <QFrame>

class MoveResizeEventFilter;

namespace netease {

class FrameLessWindow : public QFrame {
  Q_OBJECT
 public:
  explicit FrameLessWindow(QWidget* parent = nullptr);
  ~FrameLessWindow() override;

 protected:
  void mouseMoveEvent(QMouseEvent* event) override;
  void mousePressEvent(QMouseEvent* event) override;

 private:
  QPoint last_pos_;
  MoveResizeEventFilter* event_filter_ = nullptr;
};

}  // namespace netease

#endif  // CEF_TESTS_FRAME_LESS_WINDOW_H
