/*
 * Copyright (C) 2017 ~ 2017 Deepin Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "tests/x11_window_util.h"

#include <QX11Info>
#include <X11/Xlib.h>

namespace netease {

void MoveWindow(long window_id, int x, int y) {
  auto display = QX11Info::display();
  XMoveWindow(display, static_cast<Window>(window_id), x, y);
  XFlush(display);
}

}  // namespace netease