// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef UI_DELEGATES_PLAYLIST_DELEGATE_H_
#define UI_DELEGATES_PLAYLIST_DELEGATE_H_

#include <QStyledItemDelegate>
#include <QItemDelegate>

namespace netease {

class PlaylistDelegate : public QItemDelegate {
  Q_OBJECT

 public:
  explicit PlaylistDelegate(QObject *parent = nullptr);

//    QWidget *createEditor(QWidget *parent,
//    const QStyleOptionViewItem &option,
//    const QModelIndex &index) const Q_DECL_OVERRIDE;
  void destroyEditor(QWidget* editor,
                     const QModelIndex& index) const Q_DECL_OVERRIDE;
  void setEditorData(QWidget* editor,
                     const QModelIndex& index) const Q_DECL_OVERRIDE;
  void updateEditorGeometry(QWidget* editor,
                            const QStyleOptionViewItem& option,
                            const QModelIndex& index) const Q_DECL_OVERRIDE;
  void paint(QPainter* painter,
             const QStyleOptionViewItem& option,
             const QModelIndex& index) const Q_DECL_OVERRIDE;
  QSize sizeHint(const QStyleOptionViewItem& option,
                 const QModelIndex& index) const Q_DECL_OVERRIDE;

 private:
  void updatePixmap();

 private:
  QPixmap stoped_pixmap_;
  QPixmap playing_Pixmap_;
  QPixmap paused_pixmap_;
};

}  // namespace netease

#endif  // UI_DELEGATES_PLAYLIST_DELEGATE_H_
