// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by Commercial License that can be found
// in the LICENSE file.

#ifndef UI_VIEWS_WIDGETS_COLORED_ICON_BUTTON_H_
#define UI_VIEWS_WIDGETS_COLORED_ICON_BUTTON_H_

#include "ui/views/widgets/icon_button.h"

class QEvent;
class QIcon;

namespace netease {

class ColoredIconButton : public IconButton {
  Q_OBJECT

 public:
  ColoredIconButton(int offset_x,
                    int offset_y,
                    int hover_offset_x,
                    int hover_offset_y,
                    int width,
                    int height,
                    QWidget* parent = nullptr);

  void updateIconPaths(int offset_x, int offset_y,
                       int hover_offset_x, int hover_offset_y);

 protected slots:
  void updateButtonStyle();
};

} // namespace netease

#endif  // UI_VIEWS_WIDGETS_COLORED_ICON_BUTTON_H_