// Copyright (c) 2015 Deepin Ltd. All rights reserved.
// Use of this source is governed by General Public License that can be found
// in the LICENSE file.

#ifndef UI_VIEWS_WIDGETS_POPUP_MENU_ITEM_H_
#define UI_VIEWS_WIDGETS_POPUP_MENU_ITEM_H_

#include <QFrame>
class QLabel;
class QMouseEvent;

namespace netease {

class PopupMenuItem : public QFrame {
  Q_OBJECT

 public:
  PopupMenuItem(const QPixmap& icon, const QString& text,
                const QPixmap& check_icon, QWidget* parent = nullptr);

 private:
  QLabel* background_label_ = nullptr;
};

}  // namespace netease

#endif  // UI_VIEWS_WIDGETS_POPUP_MENU_ITEM_H_