#!/usr/bin/env python3

# Print folder structure of out/ folder

import os

def main():
    for root, directories, files in os.walk("out"):
        if root[4:7] not in ("bin", "sha", "lib"):
            continue

        for file in sorted(files):
            real_path = os.path.join(root, file)
            print("/usr", real_path[3:], sep="")

if __name__ == "__main__":
    main()
